#################################################################
# Makefile generated by Xilinx Platform Studio 
# Project:D:\mpdma\system.xmp
#################################################################

XILINX_EDK_DIR = C:/EDK

SYSTEM = system

MHSFILE = system.mhs

MSSFILE = system.mss

FPGA_ARCH = virtex2p

DEVICE = xc2vp30ff896-7

LANGUAGE = vhdl

SEARCHPATHOPT =  -lp D:/XilinxXUP/lib/

SUBMODULE_OPT = 

PLATGEN_OPTIONS = -p $(DEVICE) -lang $(LANGUAGE) $(SEARCHPATHOPT) $(SUBMODULE_OPT)

LIBGEN_OPTIONS = -mhs $(MHSFILE) -p $(DEVICE) $(SEARCHPATHOPT) \
                   $(MICROBLAZE_0_LIBG_OPT) \
                   $(MICROBLAZE_2_LIBG_OPT)

VPGEN_OPTIONS = -p $(DEVICE) $(SEARCHPATHOPT)

MB-BMP2JPG_OUTPUT_DIR = mb-bmp2jpg
MB-BMP2JPG_OUTPUT = $(MB-BMP2JPG_OUTPUT_DIR)/executable.elf

MB-DCT_OUTPUT_DIR = mb-dct
MB-DCT_OUTPUT = $(MB-DCT_OUTPUT_DIR)/executable.elf

MICROBLAZE_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/microblaze/mb_bootloop.elf
PPC405_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/ppc405/ppc_bootloop.elf
BOOTLOOP_DIR = bootloops

MICROBLAZE_0_BOOTLOOP = $(BOOTLOOP_DIR)/microblaze_0.elf
MICROBLAZE_0_XMDSTUB = microblaze_0/code/xmdstub.elf

MICROBLAZE_2_BOOTLOOP = $(BOOTLOOP_DIR)/microblaze_2.elf
MICROBLAZE_2_XMDSTUB = microblaze_2/code/xmdstub.elf

BRAMINIT_ELF_FILES =  $(MB-BMP2JPG_OUTPUT) $(MB-DCT_OUTPUT) 
BRAMINIT_ELF_FILE_ARGS =   -pe microblaze_0 $(MB-BMP2JPG_OUTPUT)  -pe microblaze_2 $(MB-DCT_OUTPUT) 

ALL_USER_ELF_FILES = $(MB-BMP2JPG_OUTPUT) $(MB-DCT_OUTPUT) 

SIM_CMD = vsim

BEHAVIORAL_SIM_SCRIPT = simulation/behavioral/$(SYSTEM).do

STRUCTURAL_SIM_SCRIPT = simulation/structural/$(SYSTEM).do

TIMING_SIM_SCRIPT = simulation/timing/$(SYSTEM).do

DEFAULT_SIM_SCRIPT = $(BEHAVIORAL_SIM_SCRIPT)

MIX_LANG_SIM_OPT = -mixed yes

SIMGEN_OPTIONS = -p $(DEVICE) -lang $(LANGUAGE) $(SEARCHPATHOPT) $(SUBMODULE_OPT) $(BRAMINIT_ELF_FILE_ARGS) $(MIX_LANG_SIM_OPT)  -s mti

MICROBLAZE_0_XMDSTUB = microblaze_0/code/xmdstub.elf

LIBRARIES =  \
       microblaze_0/lib/libxil.a  \
       microblaze_2/lib/libxil.a 
VPEXEC = virtualplatform/vpexec.exe

LIBSCLEAN_TARGETS = microblaze_0_libsclean microblaze_2_libsclean 

PROGRAMCLEAN_TARGETS = mb-bmp2jpg_programclean mb-dct_programclean 

CORE_STATE_DEVELOPMENT_FILES = 

WRAPPER_NGC_FILES = implementation/microblaze_0_wrapper.ngc \
implementation/microblaze_2_wrapper.ngc \
implementation/mb_opb_wrapper.ngc \
implementation/debug_module_wrapper.ngc \
implementation/ilmb0_wrapper.ngc \
implementation/dlmb0_wrapper.ngc \
implementation/ilmb2_wrapper.ngc \
implementation/dlmb2_wrapper.ngc \
implementation/fsl0m_wrapper.ngc \
implementation/fsl0s_wrapper.ngc \
implementation/fsl2m_wrapper.ngc \
implementation/fsl2s_wrapper.ngc \
implementation/dlmb_cntlr0_wrapper.ngc \
implementation/ilmb_cntlr0_wrapper.ngc \
implementation/lmb_bram0_wrapper.ngc \
implementation/dlmb_cntlr2_wrapper.ngc \
implementation/ilmb_cntlr2_wrapper.ngc \
implementation/lmb_bram2_wrapper.ngc \
implementation/rs232_uart_1_wrapper.ngc \
implementation/sysace_compactflash_wrapper.ngc \
implementation/ddr_256mb_32mx64_rank1_row13_col10_cl2_5_wrapper.ngc \
implementation/sysclk_inv_wrapper.ngc \
implementation/clk90_inv_wrapper.ngc \
implementation/ddr_clk90_inv_wrapper.ngc \
implementation/dcm_0_wrapper.ngc \
implementation/dcm_1_wrapper.ngc \
implementation/fifo02_wrapper.ngc \
implementation/fifo20_wrapper.ngc

POSTSYN_NETLIST = implementation/$(SYSTEM).ngc

SYSTEM_BIT = implementation/$(SYSTEM).bit

DOWNLOAD_BIT = implementation/download.bit

SYSTEM_ACE = implementation/$(SYSTEM).ace

UCF_FILE = data/system.ucf

BMM_FILE = implementation/$(SYSTEM).bmm

FASTRUNTIME_OPT_FILE = etc/fast_runtime.opt
BITGEN_UT_FILE = etc/bitgen.ut

#################################################################
# SOFTWARE APPLICATION MB-BMP2JPG
#################################################################

MB-BMP2JPG_SOURCES = mb-bmp2jpg/bmp2jpg_mb.c mb-bmp2jpg/ColorConversion.c mb-bmp2jpg/dct.c mb-bmp2jpg/huffman.c mb-bmp2jpg/zzq.c 

MB-BMP2JPG_HEADERS = mb-bmp2jpg/dct.h mb-bmp2jpg/ejpgl.h mb-bmp2jpg/huffman.h mb-bmp2jpg/io.h mb-bmp2jpg/mb.h mb-bmp2jpg/weights.h mb-bmp2jpg/zzq.h 

MB-BMP2JPG_CC = mb-gcc
MB-BMP2JPG_CC_SIZE = mb-size
MB-BMP2JPG_CC_OPT = -O2
MB-BMP2JPG_CFLAGS = -D__MICROBLAZE
MB-BMP2JPG_CC_SEARCH = # -B
MB-BMP2JPG_LIBPATH = -L./microblaze_0/lib/ # -L
MB-BMP2JPG_INCLUDES = -I./microblaze_0/include/  -Imb-bmp2jpg/ # -I
MB-BMP2JPG_LFLAGS = # -l
MB-BMP2JPG_CC_PREPROC_FLAG = # -Wp,
MB-BMP2JPG_CC_ASM_FLAG = # -Wa,
MB-BMP2JPG_CC_LINKER_FLAG = # -Wl,
MB-BMP2JPG_LINKER_SCRIPT = mb-bmp2jpg_linker_script
MB-BMP2JPG_LINKER_SCRIPT_FLAG = -Wl,-T -Wl,$(MB-BMP2JPG_LINKER_SCRIPT) 
MB-BMP2JPG_CC_DEBUG_FLAG =  -g 
MB-BMP2JPG_CC_GLOBPTR_FLAG= # -mxl-gp-opt
MB-BMP2JPG_MODE = executable
MB-BMP2JPG_LIBG_OPT = -$(MB-BMP2JPG_MODE) microblaze_0
MB-BMP2JPG_CC_SOFTMUL_FLAG= -mno-xl-soft-mul 
MB-BMP2JPG_CC_START_ADDR_FLAG=  # -Wl,-defsym -Wl,_TEXT_START_ADDR=
MB-BMP2JPG_CC_STACK_SIZE_FLAG=  # -Wl,-defsym -Wl,_STACK_SIZE=
MB-BMP2JPG_OTHER_CC_FLAGS= $(MB-BMP2JPG_CC_GLOBPTR_FLAG)  \
                  $(MB-BMP2JPG_CC_START_ADDR_FLAG) $(MB-BMP2JPG_CC_STACK_SIZE_FLAG)  \
                  $(MB-BMP2JPG_CC_SOFTMUL_FLAG)  \
                  $(MB-BMP2JPG_CC_PREPROC_FLAG) $(MB-BMP2JPG_CC_ASM_FLAG) $(MB-BMP2JPG_CC_LINKER_FLAG)  \
                  $(MB-BMP2JPG_LINKER_SCRIPT_FLAG) $(MB-BMP2JPG_CC_DEBUG_FLAG) 

#################################################################
# SOFTWARE APPLICATION MB-DCT
#################################################################

MB-DCT_SOURCES = mb-dct/mb-dct.c 

MB-DCT_HEADERS = mb-dct/ejpgl.h mb-dct/fifo_link.h mb-dct/mb-dct.h mb-dct/mb-weights.h 

MB-DCT_CC = mb-gcc
MB-DCT_CC_SIZE = mb-size
MB-DCT_CC_OPT = -O2
MB-DCT_CFLAGS = -D__MICROBLAZE
MB-DCT_CC_SEARCH = # -B
MB-DCT_LIBPATH = -L./microblaze_2/lib/ # -L
MB-DCT_INCLUDES = -I./microblaze_2/include/  -Imb-dct/ # -I
MB-DCT_LFLAGS = # -l
MB-DCT_CC_PREPROC_FLAG = # -Wp,
MB-DCT_CC_ASM_FLAG = # -Wa,
MB-DCT_CC_LINKER_FLAG = # -Wl,
MB-DCT_LINKER_SCRIPT = 
MB-DCT_LINKER_SCRIPT_FLAG = #-Wl,-T -Wl,$(MB-DCT_LINKER_SCRIPT) 
MB-DCT_CC_DEBUG_FLAG =  -g 
MB-DCT_CC_GLOBPTR_FLAG= # -mxl-gp-opt
MB-DCT_MODE = executable
MB-DCT_LIBG_OPT = -$(MB-DCT_MODE) microblaze_2
MB-DCT_CC_SOFTMUL_FLAG= -mno-xl-soft-mul 
MB-DCT_CC_START_ADDR_FLAG=  # -Wl,-defsym -Wl,_TEXT_START_ADDR=
MB-DCT_CC_STACK_SIZE_FLAG=  # -Wl,-defsym -Wl,_STACK_SIZE=
MB-DCT_OTHER_CC_FLAGS= $(MB-DCT_CC_GLOBPTR_FLAG)  \
                  $(MB-DCT_CC_START_ADDR_FLAG) $(MB-DCT_CC_STACK_SIZE_FLAG)  \
                  $(MB-DCT_CC_SOFTMUL_FLAG)  \
                  $(MB-DCT_CC_PREPROC_FLAG) $(MB-DCT_CC_ASM_FLAG) $(MB-DCT_CC_LINKER_FLAG)  \
                  $(MB-DCT_LINKER_SCRIPT_FLAG) $(MB-DCT_CC_DEBUG_FLAG) 
